Bug 251574 - yum-skip-broken does not work
Summary: yum-skip-broken does not work
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-09 20:41 UTC by Roland McGrath
Modified: 2008-03-12 16:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 16:14:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm -qa --qf '%{N}-%{V}-%{R}.%{ARCH}\n' (35.61 KB, text/plain)
2007-09-29 02:24 UTC, Roland McGrath
no flags Details
repoquery --nevra -a (68.10 KB, application/octet-stream)
2007-09-29 02:35 UTC, Roland McGrath
no flags Details

Description Roland McGrath 2007-08-09 20:41:38 UTC
yum-skip-broken-1.1.6-1.fc8
yum-3.2.2-3.fc8

Using yum upgrade --skip-broken, I am still stopped by broken deps:

ERROR with rpm_check_debug vs depsolve:
Package boost-devel needs boost = 1.34.1-3.fc8, this is not available.
Package boost needs libicui18n.so.36, this is not available.
Package openoffice.org-core needs libicui18n.so.36, this is not available.
Package openoffice.org-core needs libicule.so.36, this is not available.
Package boost needs libicuuc.so.36, this is not available.
Package openoffice.org-core needs libicuuc.so.36, this is not available.
Package yelp needs gecko-libs = 1.8.1.5, this is not available.
Complete!

Comment 1 Tim Lauridsen 2007-09-28 12:24:25 UTC
Can you reproduce this kind of error with yum-skip-broken-1.1.7 & yum-3.2.5



Comment 2 Roland McGrath 2007-09-29 02:24:52 UTC
Created attachment 211201 [details]
rpm -qa --qf '%{N}-%{V}-%{R}.%{ARCH}\n'

yum-3.2.5-4.fc8
yum-skip-broken-1.1.7-1.fc8

From "yum upgrade --skip-broken" (lots of output, hit y at prompt, then this):

Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /etc/gre.d/gre64.conf from install of firefox-2.0.0.6-10.fc8 conflicts
with file from package xulrunner-1.9-0.alpha7.2.fc8

Error Summary
-------------

[root@johnson ~]#

Comment 3 Roland McGrath 2007-09-29 02:35:47 UTC
Created attachment 211211 [details]
repoquery --nevra -a

Comment 4 Roland McGrath 2007-09-29 02:41:57 UTC
Different details, but still fails to skip broken updates and soldier on when
the upgrade situation is frotzed.

Comment 5 Tim Lauridsen 2008-03-12 15:51:04 UTC
yum >= 3.2.10 in current rawhide have much improved '--skip-broken' buildin, so
please try 

yum remove yum-skip-broken
yum install pygpgme
yum install --enablerepo=development update yum

to check it out. 


Note You need to log in before you can comment on or make changes to this bug.